package com.zm.order.tool.server.model;

import java.io.Serializable;

import com.alibaba.fastjson.JSON;

/**
 * @Description 订单同步es消息
 * @Author: ph
 * @Date: 2019/11/14 16:52
 */
public class OrderSyncEsMessage implements Serializable {

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 版本号
     */
    private Integer version;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
